com.genesyslab.wfm8.API.service.calendar850

## Class AvailableAgents

- java.lang.Object
- - com.genesyslab.wfm8.API.service.calendar850.AvailableAgents

- All Implemented Interfaces:
    java.io.Serializable

      public class AvailableAgents
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<AvailableAgentsForDate>` | `agentsForDateArray` Available agents number for each date
    `protected int` | `agentsForDateArrayNSizeIs` Available agents array size
    `protected double` | `avgFriAvailableAgents` Available agents on Friday(s)
    `protected double` | `avgFriWorkingAgents` Working agents on Friday(s)
    `protected double` | `avgMonAvailableAgents` Available agents on Monday(s)
    `protected double` | `avgMonWorkingAgents` Working agents on Monday(s)
    `protected double` | `avgSatAvailableAgents` Available agents on Saturday(s)
    `protected double` | `avgSatWorkingAgents` Working agents on Saturday(s)
    `protected double` | `avgSunAvailableAgents` Available agents on Sunday(s)
    `protected double` | `avgSunWorkingAgents` Working agents on Sunday(s)
    `protected double` | `avgThuAvailableAgents` Available agents on Thursday(s)
    `protected double` | `avgThuWorkingAgents` Working agents on Thursday(s)
    `protected double` | `avgTueAvailableAgents` Available agents on Tuesday(s)
    `protected double` | `avgTueWorkingAgents` Working agents on Tuesday(s)
    `protected double` | `avgWedAvailableAgents` Available agents on Wednesday(s)
    `protected double` | `avgWedWorkingAgents` Working agents on Wednesday(s)
    `protected double` | `endDate` Period end date
    `private static long` | `serialVersionUID`
    `protected double` | `startDate` Period start date

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AvailableAgents()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<AvailableAgentsForDate>` | `getAgentsForDateArray()` Gets the value of the agentsForDateArray property.
    `int` | `getAgentsForDateArrayNSizeIs()` Gets the value of the agentsForDateArrayNSizeIs property.
    `double` | `getAvgFriAvailableAgents()` Gets the value of the avgFriAvailableAgents property.
    `double` | `getAvgFriWorkingAgents()` Gets the value of the avgFriWorkingAgents property.
    `double` | `getAvgMonAvailableAgents()` Gets the value of the avgMonAvailableAgents property.
    `double` | `getAvgMonWorkingAgents()` Gets the value of the avgMonWorkingAgents property.
    `double` | `getAvgSatAvailableAgents()` Gets the value of the avgSatAvailableAgents property.
    `double` | `getAvgSatWorkingAgents()` Gets the value of the avgSatWorkingAgents property.
    `double` | `getAvgSunAvailableAgents()` Gets the value of the avgSunAvailableAgents property.
    `double` | `getAvgSunWorkingAgents()` Gets the value of the avgSunWorkingAgents property.
    `double` | `getAvgThuAvailableAgents()` Gets the value of the avgThuAvailableAgents property.
    `double` | `getAvgThuWorkingAgents()` Gets the value of the avgThuWorkingAgents property.
    `double` | `getAvgTueAvailableAgents()` Gets the value of the avgTueAvailableAgents property.
    `double` | `getAvgTueWorkingAgents()` Gets the value of the avgTueWorkingAgents property.
    `double` | `getAvgWedAvailableAgents()` Gets the value of the avgWedAvailableAgents property.
    `double` | `getAvgWedWorkingAgents()` Gets the value of the avgWedWorkingAgents property.
    `double` | `getEndDate()` Gets the value of the endDate property.
    `double` | `getStartDate()` Gets the value of the startDate property.
    `int` | `hashCode()`
    `void` | `setAgentsForDateArray(java.util.List<AvailableAgentsForDate> value)` Sets the value of the agentsForDateArray property.
    `void` | `setAgentsForDateArrayNSizeIs(int value)` Sets the value of the agentsForDateArrayNSizeIs property.
    `void` | `setAvgFriAvailableAgents(double value)` Sets the value of the avgFriAvailableAgents property.
    `void` | `setAvgFriWorkingAgents(double value)` Sets the value of the avgFriWorkingAgents property.
    `void` | `setAvgMonAvailableAgents(double value)` Sets the value of the avgMonAvailableAgents property.
    `void` | `setAvgMonWorkingAgents(double value)` Sets the value of the avgMonWorkingAgents property.
    `void` | `setAvgSatAvailableAgents(double value)` Sets the value of the avgSatAvailableAgents property.
    `void` | `setAvgSatWorkingAgents(double value)` Sets the value of the avgSatWorkingAgents property.
    `void` | `setAvgSunAvailableAgents(double value)` Sets the value of the avgSunAvailableAgents property.
    `void` | `setAvgSunWorkingAgents(double value)` Sets the value of the avgSunWorkingAgents property.
    `void` | `setAvgThuAvailableAgents(double value)` Sets the value of the avgThuAvailableAgents property.
    `void` | `setAvgThuWorkingAgents(double value)` Sets the value of the avgThuWorkingAgents property.
    `void` | `setAvgTueAvailableAgents(double value)` Sets the value of the avgTueAvailableAgents property.
    `void` | `setAvgTueWorkingAgents(double value)` Sets the value of the avgTueWorkingAgents property.
    `void` | `setAvgWedAvailableAgents(double value)` Sets the value of the avgWedAvailableAgents property.
    `void` | `setAvgWedWorkingAgents(double value)` Sets the value of the avgWedWorkingAgents property.
    `void` | `setEndDate(double value)` Sets the value of the endDate property.
    `void` | `setStartDate(double value)` Sets the value of the startDate property.
    `java.lang.String` | `toString()`
    `AvailableAgents` | `withAgentsForDateArray(AvailableAgentsForDate... values)`
    `AvailableAgents` | `withAgentsForDateArray(java.util.Collection<AvailableAgentsForDate> values)`
    `AvailableAgents` | `withAgentsForDateArrayNSizeIs(int value)`
    `AvailableAgents` | `withAvgFriAvailableAgents(double value)`
    `AvailableAgents` | `withAvgFriWorkingAgents(double value)`
    `AvailableAgents` | `withAvgMonAvailableAgents(double value)`
    `AvailableAgents` | `withAvgMonWorkingAgents(double value)`
    `AvailableAgents` | `withAvgSatAvailableAgents(double value)`
    `AvailableAgents` | `withAvgSatWorkingAgents(double value)`
    `AvailableAgents` | `withAvgSunAvailableAgents(double value)`
    `AvailableAgents` | `withAvgSunWorkingAgents(double value)`
    `AvailableAgents` | `withAvgThuAvailableAgents(double value)`
    `AvailableAgents` | `withAvgThuWorkingAgents(double value)`
    `AvailableAgents` | `withAvgTueAvailableAgents(double value)`
    `AvailableAgents` | `withAvgTueWorkingAgents(double value)`
    `AvailableAgents` | `withAvgWedAvailableAgents(double value)`
    `AvailableAgents` | `withAvgWedWorkingAgents(double value)`
    `AvailableAgents` | `withEndDate(double value)`
    `AvailableAgents` | `withStartDate(double value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### startDate

          protected double startDate

      Period start date

    - #### endDate

          protected double endDate

      Period end date

    - #### avgMonAvailableAgents

          protected double avgMonAvailableAgents

      Available agents on Monday(s)

    - #### avgMonWorkingAgents

          protected double avgMonWorkingAgents

      Working agents on Monday(s)

    - #### avgTueAvailableAgents

          protected double avgTueAvailableAgents

      Available agents on Tuesday(s)

    - #### avgTueWorkingAgents

          protected double avgTueWorkingAgents

      Working agents on Tuesday(s)

    - #### avgWedAvailableAgents

          protected double avgWedAvailableAgents

      Available agents on Wednesday(s)

    - #### avgWedWorkingAgents

          protected double avgWedWorkingAgents

      Working agents on Wednesday(s)

    - #### avgThuAvailableAgents

          protected double avgThuAvailableAgents

      Available agents on Thursday(s)

    - #### avgThuWorkingAgents

          protected double avgThuWorkingAgents

      Working agents on Thursday(s)

    - #### avgFriAvailableAgents

          protected double avgFriAvailableAgents

      Available agents on Friday(s)

    - #### avgFriWorkingAgents

          protected double avgFriWorkingAgents

      Working agents on Friday(s)

    - #### avgSatAvailableAgents

          protected double avgSatAvailableAgents

      Available agents on Saturday(s)

    - #### avgSatWorkingAgents

          protected double avgSatWorkingAgents

      Working agents on Saturday(s)

    - #### avgSunAvailableAgents

          protected double avgSunAvailableAgents

      Available agents on Sunday(s)

    - #### avgSunWorkingAgents

          protected double avgSunWorkingAgents

      Working agents on Sunday(s)

    - #### agentsForDateArrayNSizeIs

          protected int agentsForDateArrayNSizeIs

      Available agents array size

    - #### agentsForDateArray

          protected java.util.List<AvailableAgentsForDate> agentsForDateArray

      Available agents number for each date

  - ### Constructor Detail

    - #### AvailableAgents

          public AvailableAgents()

  - ### Method Detail

    - #### getStartDate

          public double getStartDate()

      Gets the value of the startDate property.

    - #### setStartDate

          public void setStartDate(double value)

      Sets the value of the startDate property.

    - #### getEndDate

          public double getEndDate()

      Gets the value of the endDate property.

    - #### setEndDate

          public void setEndDate(double value)

      Sets the value of the endDate property.

    - #### getAvgMonAvailableAgents

          public double getAvgMonAvailableAgents()

      Gets the value of the avgMonAvailableAgents property.

    - #### setAvgMonAvailableAgents

          public void setAvgMonAvailableAgents(double value)

      Sets the value of the avgMonAvailableAgents property.

    - #### getAvgMonWorkingAgents

          public double getAvgMonWorkingAgents()

      Gets the value of the avgMonWorkingAgents property.

    - #### setAvgMonWorkingAgents

          public void setAvgMonWorkingAgents(double value)

      Sets the value of the avgMonWorkingAgents property.

    - #### getAvgTueAvailableAgents

          public double getAvgTueAvailableAgents()

      Gets the value of the avgTueAvailableAgents property.

    - #### setAvgTueAvailableAgents

          public void setAvgTueAvailableAgents(double value)

      Sets the value of the avgTueAvailableAgents property.

    - #### getAvgTueWorkingAgents

          public double getAvgTueWorkingAgents()

      Gets the value of the avgTueWorkingAgents property.

    - #### setAvgTueWorkingAgents

          public void setAvgTueWorkingAgents(double value)

      Sets the value of the avgTueWorkingAgents property.

    - #### getAvgWedAvailableAgents

          public double getAvgWedAvailableAgents()

      Gets the value of the avgWedAvailableAgents property.

    - #### setAvgWedAvailableAgents

          public void setAvgWedAvailableAgents(double value)

      Sets the value of the avgWedAvailableAgents property.

    - #### getAvgWedWorkingAgents

          public double getAvgWedWorkingAgents()

      Gets the value of the avgWedWorkingAgents property.

    - #### setAvgWedWorkingAgents

          public void setAvgWedWorkingAgents(double value)

      Sets the value of the avgWedWorkingAgents property.

    - #### getAvgThuAvailableAgents

          public double getAvgThuAvailableAgents()

      Gets the value of the avgThuAvailableAgents property.

    - #### setAvgThuAvailableAgents

          public void setAvgThuAvailableAgents(double value)

      Sets the value of the avgThuAvailableAgents property.

    - #### getAvgThuWorkingAgents

          public double getAvgThuWorkingAgents()

      Gets the value of the avgThuWorkingAgents property.

    - #### setAvgThuWorkingAgents

          public void setAvgThuWorkingAgents(double value)

      Sets the value of the avgThuWorkingAgents property.

    - #### getAvgFriAvailableAgents

          public double getAvgFriAvailableAgents()

      Gets the value of the avgFriAvailableAgents property.

    - #### setAvgFriAvailableAgents

          public void setAvgFriAvailableAgents(double value)

      Sets the value of the avgFriAvailableAgents property.

    - #### getAvgFriWorkingAgents

          public double getAvgFriWorkingAgents()

      Gets the value of the avgFriWorkingAgents property.

    - #### setAvgFriWorkingAgents

          public void setAvgFriWorkingAgents(double value)

      Sets the value of the avgFriWorkingAgents property.

    - #### getAvgSatAvailableAgents

          public double getAvgSatAvailableAgents()

      Gets the value of the avgSatAvailableAgents property.

    - #### setAvgSatAvailableAgents

          public void setAvgSatAvailableAgents(double value)

      Sets the value of the avgSatAvailableAgents property.

    - #### getAvgSatWorkingAgents

          public double getAvgSatWorkingAgents()

      Gets the value of the avgSatWorkingAgents property.

    - #### setAvgSatWorkingAgents

          public void setAvgSatWorkingAgents(double value)

      Sets the value of the avgSatWorkingAgents property.

    - #### getAvgSunAvailableAgents

          public double getAvgSunAvailableAgents()

      Gets the value of the avgSunAvailableAgents property.

    - #### setAvgSunAvailableAgents

          public void setAvgSunAvailableAgents(double value)

      Sets the value of the avgSunAvailableAgents property.

    - #### getAvgSunWorkingAgents

          public double getAvgSunWorkingAgents()

      Gets the value of the avgSunWorkingAgents property.

    - #### setAvgSunWorkingAgents

          public void setAvgSunWorkingAgents(double value)

      Sets the value of the avgSunWorkingAgents property.

    - #### getAgentsForDateArrayNSizeIs

          public int getAgentsForDateArrayNSizeIs()

      Gets the value of the agentsForDateArrayNSizeIs property.

    - #### setAgentsForDateArrayNSizeIs

          public void setAgentsForDateArrayNSizeIs(int value)

      Sets the value of the agentsForDateArrayNSizeIs property.

    - #### getAgentsForDateArray

          public java.util.List<AvailableAgentsForDate> getAgentsForDateArray()

      Gets the value of the agentsForDateArray property.

    - #### setAgentsForDateArray

          public void setAgentsForDateArray(java.util.List<AvailableAgentsForDate> value)

      Sets the value of the agentsForDateArray property.

    - #### withAgentsForDateArray

          public AvailableAgents withAgentsForDateArray(java.util.Collection<AvailableAgentsForDate> values)

    - #### withAgentsForDateArray

          public AvailableAgents withAgentsForDateArray(AvailableAgentsForDate... values)

    - #### withAgentsForDateArrayNSizeIs

          public AvailableAgents withAgentsForDateArrayNSizeIs(int value)

    - #### withStartDate

          public AvailableAgents withStartDate(double value)

    - #### withEndDate

          public AvailableAgents withEndDate(double value)

    - #### withAvgMonAvailableAgents

          public AvailableAgents withAvgMonAvailableAgents(double value)

    - #### withAvgMonWorkingAgents

          public AvailableAgents withAvgMonWorkingAgents(double value)

    - #### withAvgTueAvailableAgents

          public AvailableAgents withAvgTueAvailableAgents(double value)

    - #### withAvgTueWorkingAgents

          public AvailableAgents withAvgTueWorkingAgents(double value)

    - #### withAvgWedAvailableAgents

          public AvailableAgents withAvgWedAvailableAgents(double value)

    - #### withAvgWedWorkingAgents

          public AvailableAgents withAvgWedWorkingAgents(double value)

    - #### withAvgThuAvailableAgents

          public AvailableAgents withAvgThuAvailableAgents(double value)

    - #### withAvgThuWorkingAgents

          public AvailableAgents withAvgThuWorkingAgents(double value)

    - #### withAvgFriAvailableAgents

          public AvailableAgents withAvgFriAvailableAgents(double value)

    - #### withAvgFriWorkingAgents

          public AvailableAgents withAvgFriWorkingAgents(double value)

    - #### withAvgSatAvailableAgents

          public AvailableAgents withAvgSatAvailableAgents(double value)

    - #### withAvgSatWorkingAgents

          public AvailableAgents withAvgSatWorkingAgents(double value)

    - #### withAvgSunAvailableAgents

          public AvailableAgents withAvgSunAvailableAgents(double value)

    - #### withAvgSunWorkingAgents

          public AvailableAgents withAvgSunWorkingAgents(double value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.